Skip to main content
The GetCheckoutCartInfo API retrieves cart information for international checkout processing. This API:
  • Is triggered when the cart page loads or when a checkout attempt is made
  • Only returns products that are in stock
  • Requires proper cart token validation
  • Is part of Global-e’s extensions (custom integration only)
This method is called from a Global-e server with the cart token rendered in a cookie or HTML.DOM. The client’s session calculates the price totals. The GetCheckoutCartInfo API returns all cart contents, including customer information for logged-in customers. This API only returns products that are in stock. If special handling is required for stock validation on your side, for products in the basket (for example, calls to an external system), Global-e can specify an additional URL for this method, to indicate that stock validation is specifically required. If the cart data is unavailable, the checkout will not open and an error message will appear in the browser development console. The GetCheckoutCartInfo API is only triggered upon the cart page loading, or when a checkout attempt is made.
This API is part of Global-e’s extensions and plug-ins. Merchants do not need to implement this API unless a custom integration is required.

Usage

  • Displays totals on the basket page
  • Opens the checkout process
  • Validates order (SendOrderToMerchant)

Security Requirements

  • Client-side: Session and Cart token (present in the request URL parameters)
  • Server-side: For both GET and POST:
    • Cart token — Request URL parameter (required)
    • Custom parameter — Request URL parameter (optional)
    • Custom header (optional)
    • IP whitelist (optional)
    • HTTP Basic Authentication (optional)
    • JWT (optional)
  • Additional methods available with POST only:
    • OrderID — In the request payload
    • Merchant GUID — In request payload (required)

Retry Logic

None. The GetCheckoutCartInfo API is only triggered upon the cart page loading, or when a checkout attempt is made. If the GetCheckoutCartInfo request fails to execute on the cart page, the international cart totals will not be calculated or displayed there. If the GetCheckoutCartInfo request fails on the checkout, the checkout will not open.

Method/URL

  • Client-side: GET
  • Server-side: GET / POST (default GET). Global-e can configure your preference.
Some values in the payload are encoded and must be decoded by the merchant — for example URLs, addresses, emails, and phone numbers.

Reference

Get Checkout Cart Info — full request & response

Parameters, schema, and examples for GET /get-checkout-cart-info-url (merchant-hosted).